# SIPPublishHandler Class Reference

`#include <handlers.h>`

Inheritance diagram for SIPPublishHandler:

List of all members.

## Public Member Functions

| SIPPublishHandler (SIPEndPoint &ep, const PString &to, const PString &body, int expire)
| ~SIPPublishHandler ()
virtual SIPTransaction * | CreateTransaction (OpalTransport &)
virtual void | OnReceivedOK (SIPTransaction &transaction, SIP_PDU &response)
virtual SIP_PDU::Methods | GetMethod ()
virtual void | SetBody (const PString &body)

## Static Public Member Functions

static PString | BuildBody (const PString &to, const PString &basic, const PString &note)

## Constructor & Destructor Documentation

SIPPublishHandler::SIPPublishHandler | ( | SIPEndPoint & | ep,
|  | const PString & | to,
|  | const PString & | body,
|  | int | expire |
| ) |  |  |

SIPPublishHandler::~SIPPublishHandler | ( |  | ) |

## Member Function Documentation

virtual SIPTransaction* SIPPublishHandler::CreateTransaction | ( | OpalTransport & |  | ) | `[virtual]`

Implements SIPHandler.

virtual void SIPPublishHandler::OnReceivedOK | ( | SIPTransaction & | transaction,
|  | SIP_PDU & | response |
| ) |  |  | `[virtual]`

Reimplemented from SIPHandler.

virtual SIP_PDU::Methods SIPPublishHandler::GetMethod | ( |  | ) | `[inline, virtual]`

Implements SIPHandler.

virtual void SIPPublishHandler::SetBody | ( | const PString & | body | ) | `[virtual]`

Reimplemented from SIPHandler.

static PString SIPPublishHandler::BuildBody | ( | const PString & | to,
|  | const PString & | basic,
|  | const PString & | note |
| ) |  |  | `[static]`

The documentation for this class was generated from the following file:

- handlers.h